pcl::gpu::NormalEstimation Class Reference

Class for normal estimation. More...

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/features/include/pcl/gpu/features/features.hpp>`

Inheritance diagram for pcl::gpu::NormalEstimation:

## Public Types

typedef Feature::NormalType | NormalType
Public Types inherited from pcl::gpu::Feature
typedef PointXYZ | PointType
typedef PointXYZ | NormalType
typedef DeviceArray< PointType > | PointCloud
typedef DeviceArray< NormalType > | Normals
typedef DeviceArray< int > | Indices

## Public Member Functions

| NormalEstimation ()
void | compute (Normals &normals)
void | setViewPoint (float vpx, float vpy, float vpz)
void | getViewPoint (float &vpx, float &vpy, float &vpz)
Public Member Functions inherited from pcl::gpu::Feature
| Feature ()
void | setInputCloud (const PointCloud &cloud)
void | setSearchSurface (const PointCloud &surface)
void | setIndices (const Indices &indices)
void | setRadiusSearch (float radius, int max_results)

## Static Public Member Functions

static void | computeNormals (const PointCloud &cloud, const NeighborIndices &nn_indices, Normals &normals)
static void | flipNormalTowardsViewpoint (const PointCloud &cloud, float vp_x, float vp_y, float vp_z, Normals &normals)
static void | flipNormalTowardsViewpoint (const PointCloud &cloud, const Indices &indices, float vp_x, float vp_y, float vp_z, Normals &normals)

## Additional Inherited Members

Protected Attributes inherited from pcl::gpu::Feature
PointCloud | cloud_
PointCloud | surface_
Indices | indices_
float | radius_
int | max_results_
Octree | octree_

## Detailed Description

Class for normal estimation.

Definition at line 93 of file features.hpp.

## Member Typedef Documentation

## NormalType

typedef Feature::NormalType pcl::gpu::NormalEstimation::NormalType

Definition at line 97 of file features.hpp.

## Constructor & Destructor Documentation

## NormalEstimation()

pcl::gpu::NormalEstimation::NormalEstimation | ( |  | ) |

## Member Function Documentation

## compute()

void pcl::gpu::NormalEstimation::compute | ( | Normals & | normals | ) |

## computeNormals()

static void pcl::gpu::NormalEstimation::computeNormals | ( | const PointCloud & | cloud,
|  | const NeighborIndices & | nn_indices,
|  | Normals & | normals
| ) |  |

static

## flipNormalTowardsViewpoint() [1/2]

static void pcl::gpu::NormalEstimation::flipNormalTowardsViewpoint | ( | const PointCloud & | cloud,
|  | float | vp_x,
|  | float | vp_y,
|  | float | vp_z,
|  | Normals & | normals
| ) |  |

static

## flipNormalTowardsViewpoint() [2/2]

static void pcl::gpu::NormalEstimation::flipNormalTowardsViewpoint | ( | const PointCloud & | cloud,
|  | const Indices & | indices,
|  | float | vp_x,
|  | float | vp_y,
|  | float | vp_z,
|  | Normals & | normals
| ) |  |

static

## getViewPoint()

void pcl::gpu::NormalEstimation::getViewPoint | ( | float & | vpx,
|  | float & | vpy,
|  | float & | vpz
| ) |  |

## setViewPoint()

void pcl::gpu::NormalEstimation::setViewPoint | ( | float | vpx,
|  | float | vpy,
|  | float | vpz
| ) |  |

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/features/include/pcl/gpu/features/features.hpp